////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Work_simple_trigger_input_latch_v0_H
#define H_Work_simple_trigger_input_latch_v0_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Work_simple_trigger_input_latch_v0: public HSim__s6 {
public:

    HSim__s1 SE[8];

    HSim__s1 SA[4];
  char t0;
    Work_simple_trigger_input_latch_v0(const char * name);
    ~Work_simple_trigger_input_latch_v0();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createWork_simple_trigger_input_latch_v0(const char *name);

#endif
